Package org.springframework.dao

# Class PermissionDeniedDataAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.PermissionDeniedDataAccessException

All Implemented Interfaces:
  `Serializable`

public class PermissionDeniedDataAccessException extends NonTransientDataAccessException
Exception thrown when the underlying resource denied a permission to access a specific element, such as a specific database table.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PermissionDeniedDataAccessException(String msg, Throwable cause)`
Constructor for PermissionDeniedDataAccessException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PermissionDeniedDataAccessException

public PermissionDeniedDataAccessException(String msg, Throwable cause)
Constructor for PermissionDeniedDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the underlying data access API, such as JDBC